ru.bitel.bgbilling.kernel.event.events

## Class OnContractWrapEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.event.events.OnContractWrapEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class OnContractWrapEvent
      extends LocalEvent

  Синхронное событие - договор переоформлен.
  Событие вызывается после переоформления договора.
  Унаследован от `LocalEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OnContractWrapEvent()`
    `` | `OnContractWrapEvent(int oldCid, int newCid, java.util.Date wrapDate)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNewContractId()` Возвращает новый код договора (переоформленный).
    `int` | `getNewContractID()` Deprecated.
    `java.util.Date` | `getWrapDate()` Возвращает дату переформления договора

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OnContractWrapEvent

          protected OnContractWrapEvent()

    - #### OnContractWrapEvent

          public OnContractWrapEvent(int oldCid,
                                     int newCid,
                                     java.util.Date wrapDate)

      Конструктор события.
      Создается с кодом сервера.
      Parameters:
        `oldCid` - id старого договора
        `newCid` - id нового договора
        `startList` - "начальный" список карточек договора, полученный из конфига

  - ### Method Detail

    - #### getNewContractId

          public int getNewContractId()

      Возвращает новый код договора (переоформленный).
      Returns:
        newCid - новый код договора

    - #### getNewContractID

          @Deprecated
          public int getNewContractID()

      Deprecated.
      Использовать `getNewContractId()`.
      Returns:

    - #### getWrapDate

          public java.util.Date getWrapDate()

      Возвращает дату переформления договора
      Returns:
        wrapDate - дата переформления